Debian Bug report logs - #627016
telepathy-qt4: FTBFS: /usr/include/glib-2.0/gio/gdbusintrospection.h:151:25: error: expected unqualified-id before 'protected'

version graph

Package: src:telepathy-qt4; Maintainer for src:telepathy-qt4 is Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>;

Reported by: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>

Date: Tue, 17 May 2011 01:57:01 UTC

Severity: serious

Found in version telepathy-qt4/0.3.8-1

Fixed in version 0.5.15-1

Done: Simon McVittie <smcv@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>:
Bug#627016; Package src:telepathy-qt4. (Tue, 17 May 2011 01:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
New Bug report received and forwarded. Copy sent to Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>. (Tue, 17 May 2011 01:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: telepathy-qt4: FTBFS: /usr/include/glib-2.0/gio/gdbusintrospection.h:151:25: error: expected unqualified-id before 'protected'
Date: Tue, 17 May 2011 10:51:54 +0900
[Message part 1 (text/plain, inline)]
Source: telepathy-qt4
Version: 0.3.8-1
Severity: serious

Hi,

telepathy-qt4 FTBFS on latest unstable.
I confirmed on pbuilder/amd64

-----
libtool: compile:  g++ -DHAVE_CONFIG_H -I. -I../..
-DBUILDING_TELEPATHY_QT4_FARSIGHT -I../.. -I../.. -DQT_SHARED
-I/usr/include/qt4 -I/usr/include/qt4/QtCore -DQT_SHARED
-I/usr/include/qt4 -I/usr/include/qt4/QtDBus -I/usr/include/qt4/QtCore
-I/usr/include/qt4/QtXml -pthread -I/usr/include/telepathy-1.0
-I/usr/include/dbus-1.0 -I/usr/include/glib-2.0
-I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include -pthread
-I/usr/include/telepathy-1.0 -I/usr/include/dbus-1.0
-I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include
-I/usr/include/gstreamer-0.10 -I/usr/lib/dbus-1.0/include
-I/usr/include/libxml2 -I../.. -I../.. -Wall -Wextra -Wsign-compare
-Wpointer-arith -Wformat-security -Winit-self
-Wno-missing-field-initializers -Wno-unused-parameter
-DQT_NO_CAST_FROM_ASCII -fvisibility=hidden -g -O2 -g -O2 -Wall -c
channel.cpp  -fPIC -DPIC -o .libs/channel.o
In file included from /usr/include/glib-2.0/gio/gio.h:54:0,
                 from /usr/include/telepathy-1.0/telepathy-glib/proxy.h:26,
                 from /usr/include/telepathy-1.0/telepathy-glib/connection.h:29,
                 from /usr/include/telepathy-1.0/telepathy-glib/channel.h:25,
                 from /usr/include/telepathy-1.0/telepathy-farsight/channel.h:6,
                 from ../../TelepathyQt4/Farsight/channel.h:33,
                 from ../../TelepathyQt4/Farsight/Channel:8,
                 from channel.cpp:22:
/usr/include/glib-2.0/gio/gdbusintrospection.h:151:25: error: expected
unqualified-id before 'protected'
/usr/include/glib-2.0/gio/gdbusintrospection.h:151:24: error: expected
';' at end of member declaration
/usr/include/glib-2.0/gio/gdbusintrospection.h:151:32: error: expected
':' before ';' token
make[5]: *** [channel.lo] Error 1
make[5]: Leaving directory
`/tmp/buildd/telepathy-qt4-0.3.8/TelepathyQt4/Farsight'
make[4]: *** [all-recursive] Error 1
make[4]: Leaving directory `/tmp/buildd/telepathy-qt4-0.3.8/TelepathyQt4'
make[3]: *** [all] Error 2
-----

Could you check your pacakge?

Best regards,
  Nobuhiro

-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6
[telepathy-qt4_0.3.8-1_amd64.build.gz (application/x-gzip, attachment)]

Reply sent to Simon McVittie <smcv@debian.org>:
You have taken responsibility. (Mon, 20 Jun 2011 08:15:23 GMT) Full text and rfc822 format available.

Notification sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
Bug acknowledged by developer. (Mon, 20 Jun 2011 08:15:24 GMT) Full text and rfc822 format available.

Message #10 received at 627016-done@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>, 627016-done@bugs.debian.org
Subject: Re: Bug#627016: telepathy-qt4: FTBFS: /usr/include/glib-2.0/gio/gdbusintrospection.h:151:25: error: expected unqualified-id before 'protected'
Date: Mon, 20 Jun 2011 09:13:53 +0100
Version: 0.5.15-1

This was fixed upstream in 0.3.11 by using QT_NO_KEYWORDS in files that might
use GLib code, to avoid the namespace-polluting "signals" #define from Qt
(GDBus has a struct member called "signals" which caused this FTBFS).

    S




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 19 Jul 2011 07:32:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 09:03:37 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.